#include "helpdialog.h"
#include <QDebug>
#include <QVBoxLayout>
#include <QTextEdit>
#include <QPushButton>

HelpDialog::HelpDialog(QMainWindow *parent) :
    QDialog(parent)
{
    setupGUI();
}

void HelpDialog::setupGUI()
{
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QTextEdit *helpText = new QTextEdit;
    helpText->setReadOnly(true);
    helpText->setPlainText(tr("This dialog contains some text to help the user."));

    QHBoxLayout *buttonLayout = new QHBoxLayout;
    QPushButton *closeButton = new QPushButton(tr("Close"));
    connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
    buttonLayout->insertStretch(0, 10);
    buttonLayout->addWidget(closeButton);

    mainLayout->addWidget(helpText);
    mainLayout->addLayout(buttonLayout);
}
